Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gjt.sp.jedit.io
Class VFS.DirectoryEntry

    java.lang.Object
      org.gjt.sp.jedit.io.VFS.DirectoryEntry

All Implemented Interfaces:
  java.io.Serializable

Direct Known Subclasses:
  FileVFS.LocalDirectoryEntry

Enclosing class:
  VFS

public static class VFS.DirectoryEntry
extends java.lang.Object
implements java.io.Serializable

A directory entry.

Since:
  jEdit 2.6pre2
See Also:
  Serialized Form

Field Summary
`boolean` | `canRead`
`boolean` | `canWrite`
`protected java.awt.Color` | `color`
`protected boolean` | `colorCalculated`
`java.lang.String` | `deletePath`
`static int` | `DIRECTORY`
`static int` | `FILE`
`static int` | `FILESYSTEM`
`boolean` | `hidden`
`long` | `length`
`java.lang.String` | `name`
`java.lang.String` | `path`
`java.lang.String` | `symlinkPath`
`int` | `type`

Constructor Summary
`VFS.DirectoryEntry()`
`VFS.DirectoryEntry(java.lang.String name, java.lang.String path, java.lang.String deletePath, int type, long length, boolean hidden)`

Method Summary
`java.awt.Color` | `getColor()`
`java.lang.String` | `getExtendedAttribute(java.lang.String name)` Returns the value of an extended attribute.
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### FILE

    public static final int FILE

See Also:
  Constant Field Values

### DIRECTORY

    public static final int DIRECTORY

See Also:
  Constant Field Values

### FILESYSTEM

    public static final int FILESYSTEM

See Also:
  Constant Field Values

### name

    public java.lang.String name

### path

    public java.lang.String path

### symlinkPath

    public java.lang.String symlinkPath

Since:
  jEdit 4.2pre5

### deletePath

    public java.lang.String deletePath

### type

    public int type

### length

    public long length

### hidden

    public boolean hidden

### canRead

    public boolean canRead

### canWrite

    public boolean canWrite

### colorCalculated

    protected boolean colorCalculated

### color

    protected java.awt.Color color

Constructor Detail

### VFS.DirectoryEntry

    public VFS.DirectoryEntry()

Since:
  jEdit 4.2pre2

### VFS.DirectoryEntry

    public VFS.DirectoryEntry(java.lang.String name,
                              java.lang.String path,
                              java.lang.String deletePath,
                              int type,
                              long length,
                              boolean hidden)

Method Detail

### getExtendedAttribute

    public java.lang.String getExtendedAttribute(java.lang.String name)

  Returns the value of an extended attribute. Note that this returns formatted strings (eg, "10 Mb" for a file size of 1048576 bytes). If you need access to the raw data, access fields and methods of this class.

  Parameters:
    `name` - The extended attribute name
  Since:
    jEdit 4.2pre1

### getColor

    public java.awt.Color getColor()

### toString

    public java.lang.String toString()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD